import { CourseStatus } from 'src/pages/dashboard/Learning/Courses/types';

import { Severities } from 'src/components/SeverityPill/types';

export const getCourseSeverity = (status: CourseStatus | undefined) => {
  switch (status) {
    case CourseStatus.ACTIVE:
      return Severities.SUCCESS;
    case CourseStatus.INACTIVE:
      return Severities.WARNING;
    case CourseStatus.DRAFT:
      return Severities.SIMPLE;
    default:
      return Severities.RECOMMENDED;
  }
};
